{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Индексация > Редактировать ранее созданную индексацию" %}
{% set page_id = "6.1" %}


{% block heading %}
    <div class="content-header d-flex align-items-center flex-wrap justify-content-between">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="text-right">
            <button class="btn btn-light shadow">Удалить</button>
        </div>
    </div>

{% endblock %}

{% block main %}

    <div class="card mb-0">
        <div class="card-body">
            <div class="row mb-1">
                <div class="col-md-8">
                    <div class="form-group mb-50">
                        <label class="form-label font-weight-bold">Имя нового запроса (уникальное)<span class="color-red">*</span></label>
                        <select name="nn1" class="select2" data-tags="true" multiple disabled>
                            <option value="Проект Росатом блок 1" selected>Проект Росатом блок 1</option>
                        </select>
                    </div><!-- .form-group -->
                </div>
                <div class="col-md-4 text-right">
                    <a href="#" class="btn btn-primary shadow">Проверить перед сохранением</a>
                </div>
            </div><!-- .row -->
            <div class="form-group">
                <label class="form-label">Имена запросов (выберите из существующих)</label>
                <div class="row">
                    <div class="col-md-7 col-lg-8 col-xl-8 mb-1">
                        <div class="bracket-box">
                            <select class="select2" multiple>
                                <option value="Росэнергоатом" selected>Росэнергоатом</option>
                                <option value="РОСтуризм" selected>РОСтуризм</option>
                                <option value="РОСАТОМ" selected>РОСАТОМ</option>
                                <option value="Росбалт">Росбалт</option>
                                <option value="Заречье">Заречье</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-5 col-lg-4 col-xl-4 mb-1 d-flex align-items-center">
                        <label class="pretty-radio mr-1">
                            <input class="pretty-radio__input" type="radio" name="f1" value="1" checked>
                            <span class="pretty-radio__label text-uppercase">и</span>
                        </label>
                        <label class="pretty-radio mr-1">
                            <input class="pretty-radio__input" type="radio" name="f1" value="1">
                            <span class="pretty-radio__label text-uppercase">или</span>
                        </label>
                    </div>
                </div>
            </div><!-- .form-group -->
            <div class="h3 color-red mb-1 font-weight-bold">NOT</div>
            <div class="form-group">
                <label class="form-label">Имена запросов (выберите из существующих)</label>
                <div class="row">
                    <div class="col-md-7 col-lg-8 col-xl-8 mb-1">
                        <div class="bracket-box">
                            <select class="select2" multiple>
                                <option value="Росэнергоатом">Росэнергоатом</option>
                                <option value="РОСтуризм">РОСтуризм</option>
                                <option value="РОСАТОМ">РОСАТОМ</option>
                                <option value="Росбалт" selected>Росбалт</option>
                                <option value="Заречье" selected>Заречье</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-5 col-lg-4 col-xl-4 mb-1 d-flex align-items-center">
                        <label class="pretty-radio mr-1">
                            <input class="pretty-radio__input" type="radio" name="f2" value="1" checked>
                            <span class="pretty-radio__label text-uppercase">Исключить любой из перечисленных </span>
                        </label>
                    </div>
                </div>
            </div><!-- .form-group -->
            <div class="row">
                <div class="col-lg-6">
                    <label class="form-label">Ограничить индексацию  статей  <strong>по периоду их загрузки в базу</strong></label>
                    <fieldset class="form-group position-relative has-icon-left">
                        <input type="text" class="form-control daterange" placeholder="Select Date">
                        <div class="form-control-position">
                            <i class="bx bx-calendar-check"></i>
                        </div>
                    </fieldset>
                </div>
                <div class="col-lg-6">
                    <label class="form-label">Ограничить индексацию статей  <strong>по периоду их выхода в СМИ</strong></label>
                    <fieldset class="form-group position-relative has-icon-left">
                        <input type="text" class="form-control daterange" placeholder="Select Date">
                        <div class="form-control-position">
                            <i class="bx bx-calendar-check"></i>
                        </div>
                    </fieldset>
                </div>
                <div class="col">
                    <div class="form-group d-flex justify-content flex-wrap">
                        <div class="mr-1 mb-1">
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="ch2" value="1" >
                                <span class="pretty-radio__label text-uppercase">Во всей статье</span>
                            </label>
                        </div>
                        <div class="mr-1 mb-1">
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="ch2" value="1" checked>
                                <span class="pretty-radio__label text-uppercase">Только в заголовке</span>
                            </label>
                        </div>
                        <div class="mr-1 mb-1">
                            <label class="pretty-radio">
                                <input class="pretty-radio__input" type="radio" name="ch2" value="1">
                                <span class="pretty-radio__label text-uppercase">Только в основном тексте</span>
                            </label>
                        </div>
                    </div>
                </div>
            </div><!-- .row -->
            <div class="mb-2 font-size-small line-height-14">
                <strong>Внимание!</strong> Все что перечислено ниже не является элементом поискового запроса, а представляет собой те индексы, которые присваваются статьям и объектам в процессе индексации по блоку поисковых запросов, который Вы сформировали выше этого текста.
                Например: составленный выше запрос найдет 10 статей и каждая из них присвоит новый индекс “Южный берег Крыма” в “Тональность 4”; “Юхнов” в  “Тональность 4”
            </div>
            <div class="btn-group-toggle" data-toggle="buttons">
                <label class="btn btn-gray active">
                    <input type="radio" name="options" id="radio1" checked> С учетом тональности
                </label>
                <label class="btn btn-gray m-1 ">
                    <input type="radio" name="options" id="radio2" > Без учета тональности
                </label>
            </div>
            <div class="text-right mb-1">
                <button type="button" class="btn btn-sm btn-text text-nowrap p-0">развернуть все</button>
            </div>
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы - <strong>географические понятия</strong> - включаются все дочерние категории (<a href="#" class="aside-open" data-aside="modal_2_0_1">древовидное меню</a>)</span>
                        <i class="bx bx-caret-down" data-toggle="collapse" data-target="#coll1"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll1">
                    <select name="s1" class="select2" multiple>
                        <option value="Юхнов" selected>Юхнов</option>
                        <option value="Москва" selected>Москва</option>
                        <option value="Южный берега Крыма" selected>Южный берега Крыма</option>
                        <option value="Тверь">Тверь</option>
                        <option value="Орел">Орел</option>
                        <option value="Тула">Тула</option>
                    </select>
                </div>
            </div><!-- .form-group -->
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы - <strong>организации</strong>  (<a href="#" class="aside-open" data-aside="modal_2_0_1">древовидное меню</a>)</span>
                        <i class="bx bx-caret-down" data-toggle="collapse" data-target="#coll2"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll2">
                    <select name="s1" class="select2" multiple>
                        <option value="Гос.органы" selected>Гос.органы</option>
                        <option value="Сбер">Сбер</option>
                        <option value="ЛДПР" selected>ЛДПР</option>
                        <option value="Смоленская АЭС" selected>Смоленская АЭС</option>
                    </select>
                </div>
            </div><!-- .form-group -->
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse" data-toggle="collapse" data-target="#coll3">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы - <strong>персоны</strong> (в том числе журналисты, авторы других статей)</span>
                        <i class="bx bx-caret-down"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll3">
                    <select name="s1" class="select2" multiple>
                        <option value="Павлов">Павлов</option>
                        <option value="Олег" selected>Олег</option>
                        <option value="Максим" >Максим</option>
                        <option value="Иванов" selected>Иванов</option>
                        <option value="Денис">Денис</option>
                    </select>
                </div>
            </div><!-- .form-group -->
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы - <strong>тематики</strong>  (<a href="#" class="aside-open" data-aside="modal_2_0_1">древовидное меню</a>)</span>
                        <i class="bx bx-caret-down" data-toggle="collapse" data-target="#coll4"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll4">
                    <select name="s1" class="select2" multiple>
                        <option value="Обучение и переподготовка персонала" selected>Обучение и переподготовка персонала</option>
                        <option value="Тема 1">Тема 1</option>
                        <option value="Тема 2">Тема 2</option>
                        <option value="Тема 3">Тема 3</option>
                        <option value="Тема 4">Тема 4</option>
                        <option value="Тема 5">Тема 5</option>
                    </select>
                </div>
            </div><!-- .form-group -->
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse" data-toggle="collapse" data-target="#coll5">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы -  <strong>Бренды</strong></span>
                        <i class="bx bx-caret-down"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll5">
                    <select name="s1" class="select2" multiple>
                        <option value="Xiaomi" selected>Xiaomi</option>
                        <option value="Apple">Apple</option>
                        <option value="Samsung">Samsung</option>
                        <option value="AMD">AMD</option>
                        <option value="Intel" >Intel</option>
                    </select>
                </div>
            </div><!-- .form-group -->
            <div class="form-group mb-0 collapsible">
                <div class="form-label d-flex">
                    <button class="btn-collapse" data-toggle="collapse" data-target="#coll6">
                        <span>ПРИСВОИТЬ  статьям следующие новые индексы <strong>продукты</strong> Бренда</span>
                        <i class="bx bx-caret-down"></i>
                    </button>
                </div>
                <div class="collapse show" id="coll6">
                    <select name="s1" class="select2" multiple>
                        <option value="Iphone 11" selected>Iphone 11</option>
                        <option value="Mi band 6">Mi band 6</option>
                        <option value="Galaxy Note 20">Galaxy Note 20</option>
                        <option value="Iphone 9">Iphone 9</option>
                    </select>
                </div>
            </div><!-- .form-group -->

            <h4>Повторять задачу</h4>
            <div class="form-group">
                <div class="mb-50">
                    <label class="pretty-radio">
                        <input class="pretty-radio__input" type="radio" name="o1" value="1" >
                        <span class="pretty-radio__label text-uppercase">Разово выполнить</span>
                    </label>
                </div>
                <div class="mb-50">
                    <label class="pretty-radio">
                        <input class="pretty-radio__input" type="radio" name="o1" value="1" checked>
                        <span class="pretty-radio__label text-uppercase">Сделать задачу регулярной</span>
                    </label>
                </div>
            </div>
            <h4>Повторяемость</h4>
            <div class="btn-group btn-group-toggle mb-1" data-toggle="buttons">
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1" >Каждый час
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1" checked>Каждые 6 часов
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Каждые 12 часов
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Ежедневная
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Еженедельная
                </label>
            </div>
            <div></div>
            <div class="btn-group btn-group-toggle mb-1" data-toggle="buttons">
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Ежемесячная
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Квартальная
                </label>
                <label class="btn btn-gray btn-sm">
                    <input type="radio" name="options" id="radio1">Полугодовая
                </label>
                <label class="btn btn-gray btn-sm disabled">
                    <input type="radio" name="options" id="radio1">Ежегодная
                </label>
            </div>
            <div class="form-group mb-2">
                <div class="form-label">1-й запуск</div>
                <div class="form-group" style="max-width: 400px;">
                    <div class="row no-gutters">
                        <div class="col-7 pr-50">
                            <fieldset class="position-relative has-icon-left">
                                <input type="text" class="form-control datetimepicker" placeholder="Дата" value="2021/11/17 02:56">
                                <div class="form-control-position">
                                    <i class="bx bx-calendar-check"></i>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>


        </div><!-- .card-body -->
    </div><!-- .card -->
    <div class="pt-50 font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>
{% endblock %}


<!-- BEGIN: Page Modal-->
{% block pageModal %}
    <div class="aside aside--md pretty-scroll" id="modal_2_0_1">
        <div class="card mb-0">
            <div class="card-header">ПОИСК ПО ГЕОГРАФИИ ИСТОЧНИКОВ</div>
            <div class="card-body">
                <div id="city-tree"></div>
                <div class="text-right pt-2">
                    <button class="btn btn-primary btn-aside-close">Сохранить</button>
                </div>
            </div>
        </div>
    </div>
    <div class="aside-overlay"></div>
{% endblock %}
<!-- END: Modal-->

{% block scripts %}
    <script>
        $('.daterange').daterangepicker({
            timePicker: true,
            timePickerIncrement: 1,
            timePicker24Hour: true,
            timePickerSeconds: false,
            locale: {
                format: 'MM-DD-YYYY h:mm',
                daysOfWeek: ['ВС', 'ПН', 'ВТ', 'СР', 'ЧТ', 'ПТ', 'СБ'],
                monthNames: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
            }
        });

        let  maincityTree = function (){
            let $blue = '#A5B2CC';

            let cityData = [{
                text: 'Весь мир',
                href: '#parent1',
                tags: ['4'],
                nodes: [{
                    text: 'Россия',
                    href: '#child1',
                    tags: ['2'],
                    nodes: [
                        {
                            text: 'Центральный ФО',
                            href: '#cfo',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: 'Москва',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Московская область',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Тверская область',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Калужская область',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Рязанская область',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Орловская область',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: 'Смоленская область',
                                    href: '#',
                                    tags: ['0']
                                }
                            ]
                        },
                        {
                            text: 'Южный ФО',
                            href: '#ufo',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: 'Краснодарский край',
                                    href: '#',
                                    tags: ['kk']
                                },
                                {
                                    text: 'Ставоропольский край',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: 'Республика Адыгея',
                                    href: '#ad',
                                    tags: ['sk']
                                },
                                {
                                    text: 'Ростовская Область',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: 'Волгоградская область',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: 'Астраханская область',
                                    href: '#',
                                    tags: ['sk']
                                }
                            ]
                        },
                        {
                            text: 'Приволжский ФО',
                            href: '#pfo',
                            tags: ['0']
                        },
                        {
                            text: 'Уральский ФО',
                            href: '#pfo',
                            tags: ['0']
                        },
                        {
                            text: 'Северозападный ФО',
                            href: '#szfo',
                            tags: ['0']
                        },
                        {
                            text: 'Сибирский ФО',
                            href: '#sfo',
                            tags: ['0']
                        },
                        {
                            text: 'Дальневосточный ФО',
                            href: '#dfo',
                            tags: ['0']
                        }]
                },
                    {
                        text: 'Беларусь',
                        href: '#child2',
                        tags: ['0'],
                        nodes: [
                            {
                                text: 'Минск',
                                href: '#minsk',
                                tags: ['0']
                            },
                            {
                                text: 'Витебск',
                                href: '#vitebsk',
                                tags: ['0']
                            },
                            {
                                text: 'Гомель',
                                href: '#gomel',
                                tags: ['0']
                            },
                            {
                                text: 'Брест',
                                href: '#brest',
                                tags: ['0']
                            },
                            {
                                text: 'Бобруйск',
                                href: '#bobr',
                                tags: ['0']
                            }
                        ]
                    }
                ]
            }];

            let cityTree = $('#city-tree').treeview({
                selectedBackColor: [$blue],
                data: cityData,
                showIcon: false,
                showCheckbox: true,
            });
        };
        maincityTree();

    </script>
{% endblock %}
